Bug 990888 - No error messages show when input wrong spice password
No error messages show when input wrong spice password
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-viewer (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Marc-Andre Lureau
Virtualization Bugs
:
Depends On: 990883
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 03:19 EDT by tingting zheng
Modified: 2014-06-18 00:29 EDT (History)
8 users (show)

See Also:
Fixed In Version: virt-viewer-0.5.7-6.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 990883
Environment:
Last Closed: 2014-06-13 05:48:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tingting zheng 2013-08-01 03:19:30 EDT
The bug also can be reproduced on:
virt-viewer-0.5.6-1.el7.x86_64

+++ This bug was initially created as a clone of Bug #990883 +++

Description
No error messages show when input wrong spice password

Version:
virt-viewer-0.5.6-6.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Prepare a spice guest,set password for spice.

2.Use virt-viewer to connect the guest.
# virt-viewer $guest

3.Input a wrong or blank password in the "Authentication" box,then press "OK".

4.No error messages show.

5.No such issue for vnc guest,when input wrong password,it will pop out error messages:
"Unable to authenticate with remote desktop server at 127.0.0.1:5902: Authentication failed,Retry connection again?"

Actual results:
No error messages show when input the wrong spice password.

Expected results:
Error messages show when input the wrong password for spice guests as vnc guests.

Additional info:
Comment 2 Christophe Fergeau 2013-11-04 07:55:36 EST
This is fixed by https://www.redhat.com/archives/virt-tools-list/2013-August/msg00006.html , we should add this patch to the RHEL7 package
Comment 4 Cui Lei 2014-02-06 21:40:57 EST
I can reproduce this issue in virt-viewer-0.5.6-4.el7.x86_64, no error message show when input wrong spice password.

I verified this issue with:
virt-viewer-0.5.6-6.el7.x86_64

after input wrong password, which hint:
"Unable to authenticate with remote desktop server: invalid password".

So change the status from "ON_QA" to "VERIFIED"
Comment 5 Ludek Smid 2014-06-13 05:48:02 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.